--- /dev/null
+depview (0.3.0-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Jeremy Laine <jeremy.laine@m4x.org> Sun, 2 Feb 2003 21:41:24 +0100
+
--- /dev/null
+#!/bin/sh -e
+
+#source debconf library
+. /usr/share/debconf/confmodule
+
+cfg_input() { db_input $1 depview/$2 || true; }
+
+cfg_input high db_host
+cfg_input high db_db
+cfg_input high db_user
+cfg_input high db_passwd
+db_go || true
--- /dev/null
+Source: depview
+Section: net
+Priority: optional
+Maintainer: Jeremy Laine <jeremy.laine@m4x.org>
+Build-Depends: debhelper (>> 3.0.0)
+Standards-Version: 3.5.8
+
+Package: depview
+Architecture: all
+Depends: php4, mysql-client, debconf (>= 0.2.17)
+Recommends: deptrack
+Description: a PHP dependency tracker
+ Depview allows you to view PHP dependencies that were
+ extracted using deptrack.
--- /dev/null
+This package was debianized by Jeremy Laine <jeremy.laine@m4x.org> on
+Sun, 2 Feb 2003 21:41:24 +0100.
+
+It was downloaded from http://opensource.polytechnique.org/
+
+Upstream Authors: Jeremy Lainé <jeremy.laine@m4x.org>
+
+Copyright: GNU GPL Version 2
+
+On Debian GNU/Linux systems, the complete text of the GNU General Public
+License may be found in `/usr/share/common-licenses/GPL'.
--- /dev/null
+var/www/depview
+var/www/depview/include
--- /dev/null
+#! /bin/sh
+# postinst script for depview
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+# source debconf library
+. /usr/share/debconf/confmodule
+
+CFG=/var/www/depview/include/config.inc.php
+rm -f $CFG
+
+set_line() { echo "$@" >> $CFG; }
+
+case "$1" in
+ configure)
+ db_get depview/db_host
+ db_host="$RET"
+ db_get depview/db_db
+ db_db="$RET"
+ db_get depview/db_user
+ db_user="$RET"
+ db_get depview/db_passwd
+ db_passwd="$RET"
+
+ set_line "<?php"
+ set_line "/* this file is managed by debconf, do not edit by hand */"
+ set_line "mysql_connect(\"$db_host\",\"$db_user\",\"$db_passwd\");"
+ set_line "mysql_select_db(\"$db_db\");"
+ set_line "?>"
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=4
+
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -O0
+else
+ CFLAGS += -O2
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+ INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ #$(MAKE)
+ #/usr/bin/docbook-to-man debian/depview.sgml > depview.1
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ #-$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/depview.
+ #$(MAKE) install DESTDIR=$(CURDIR)/debian/depview
+
+ cp *.php debian/depview/var/www/depview
+ cp include/*.php debian/depview/var/www/depview/include
+
+# Build architecture-independent files here.
+binary-indep: build install
+ dh_testdir
+ dh_testroot
+ dh_installdebconf
+ dh_installdocs
+ dh_installexamples
+# dh_installmenu
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installman
+# dh_installinfo
+# dh_undocumented
+ dh_installchangelogs ChangeLog
+# dh_link
+# dh_strip
+ dh_compress
+ dh_fixperms
+# dh_makeshlibs
+ dh_installdeb
+# dh_perl
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep
+.PHONY: build clean binary-indep binary install configure
--- /dev/null
+Template: depview/db_db
+Type: string
+Default: deptrack
+Description: database name
+ This is the name of the database that holds the deptrack/depview
+ tables.
+
+Template: depview/db_host
+Type: string
+Default: localhost
+Description: database server
+ This is the hostname of the server that hosts the deptrack/depview
+ database.
+
+Template: depview/db_user
+Type: string
+Default: deptrack
+Description: database user
+ This is the username used to access the database.
+
+Template: depview/db_passwd
+Type: password
+Default:
+Description: database password
+ This is the password used to access the database.
+